Get future vacation requests
Returns all future vacation requests for the current employee.
What is returned:
- Vacation request ID
- Start and end dates
- Current status (Pending, Approved, or Rejected)
Note: This endpoint is only available for employee accounts. Future vacations are those with a start date in the future.
GET
/account/employee/vacations/futureAuthorization
AuthorizationOAuth2 access token · headerrequiredScopes:
api:reador
AuthorizationBearer token (JWT) · headerrequiredResponses
200
Array of
FutureVacationResponsedateFromstringrequireddateTostringrequiredidstringrequiredstatusstringrequiredAllowed:
PendingApprovedRejected401Unauthorized - Invalid or missing authentication token
403Forbidden - Insufficient API scopes or permissions
404Employee not found
Request
curl -X GET "https://leadtime.app/api/public/account/employee/vacations/future" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN"const response = await fetch("https://leadtime.app/api/public/account/employee/vacations/future", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_ACCESS_TOKEN"
}
});import requests
response = requests.get(
"https://leadtime.app/api/public/account/employee/vacations/future",
headers={
"Authorization": "Bearer YOUR_ACCESS_TOKEN"
},
)Response
[
{
"dateFrom": "2024-06-01",
"dateTo": "2024-06-05",
"id": "123e4567-e89b-12d3-a456-426614174000",
"status": "Approved"
}
]Unauthorized - Invalid or missing authentication token
Forbidden - Insufficient API scopes or permissions
Employee not found